REGULATOR_IS_ENABLED(9)

NAME
regulator_is_enabled - is the regulator output enabled

SYNOPSIS

int regulator_is_enabled(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

Returns positive if the regulator driver backing the source/client has requested that the device be enabled, zero if it hasn't, else a negative errno code.

Note that the device backing this regulator handle can have multiple users, so it might be enabled even if regulator_enable was never called for this particular source.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT